/*
 * Copyright (C) 1999
 * CSIRO Mathematical and Information Sciences Australia
 * Spatial Information Systems Project
 *
 * http://www.cmis.csiro.au/svg
 */


/**
 * CoordinateList.java
 *
 * $Id: CoordinateList.java,v 1.1.1.1 1999/12/11 18:51:28 gjb Exp $
 *
 */

package org.csiro.svgv.reader;
import java.util.Vector;

public class CoordinateList {

    private Vector _coordinates;

    public CoordinateList() {
        _coordinates = new Vector();
    }
    public Coordinate coordinateAt(int index) {
        return (Coordinate) _coordinates.elementAt(index);
    }
    public void addCoordinate(Coordinate c) {
        _coordinates.addElement(c);
    }
    public int size() {
        return _coordinates.size();
    }
} 